Package org.globus.ftp.app

# Class Transfer

java.lang.Object
org.globus.ftp.app.Transfer

public class Transfer extends Object
Represents a single act of a third party transfer of one file. The transfer is performed in the constructor. This class will not be very efficient for transferring many files, because each transfer builds its own control channel connection. Instead, it is appropriate to use this class instances for transfers of single files, or for testing server's capabilities.

See Also:
  - `TransferParams`

## Constructor Summary

Constructors
Constructor
Description
`Transfer(String sourceServer, int sourcePort, String sourceDir, String sourceFile, String destServer, int destPort, String destDir, String destFile, TransferParams params)`
Constructor, performing a single third party transfer from (grid)ftp://sourceServer:sourcePort/sourceDir/sourceFile to (grid)ftp://destServer:destPort/destDir/destFile.
`Transfer(String sourceServer, int sourcePort, String sourceSubject, String sourceDir, String sourceFile, String destServer, int destPort, String destSubject, String destDir, String destFile, TransferParams params)`
Constructor, performing a single third party transfer from (grid)ftp://sourceServer:sourcePort/sourceDir/sourceFile to (grid)ftp://destServer:destPort/destDir/destFile.
`Transfer(String sourceServer, int sourcePort, Authorization sourceSubject, String absoluteSourceFile, String destServer, int destPort, Authorization destSubject, String absoluteDestFile, TransferParams params)`
Constructor, performing a single third party transfer from (grid)ftp://sourceServer:sourcePort/absoluteSourceFile to (grid)ftp://destServer:destPort/absoluteDestFile.

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Transfer

public Transfer(String sourceServer, int sourcePort, String sourceDir, String sourceFile, String destServer, int destPort, String destDir, String destFile, TransferParams params) throws IOException, ServerException, ClientException
Constructor, performing a single third party transfer from (grid)ftp://sourceServer:sourcePort/sourceDir/sourceFile to (grid)ftp://destServer:destPort/destDir/destFile. Any protocol related parameters should be passed in the params object. If params is null, default GridFTP parameters are assumed.

Throws:
  `IOException`
  `ServerException`
  `ClientException`

### Transfer

public Transfer(String sourceServer, int sourcePort, String sourceSubject, String sourceDir, String sourceFile, String destServer, int destPort, String destSubject, String destDir, String destFile, TransferParams params) throws IOException, ServerException, ClientException
Constructor, performing a single third party transfer from (grid)ftp://sourceServer:sourcePort/sourceDir/sourceFile to (grid)ftp://destServer:destPort/destDir/destFile. Any protocol related parameters should be passed in the params object. If params is null, default GridFTP parameters are assumed.

Throws:
  `IOException`
  `ServerException`
  `ClientException`

### Transfer

public Transfer(String sourceServer, int sourcePort, Authorization sourceSubject, String absoluteSourceFile, String destServer, int destPort, Authorization destSubject, String absoluteDestFile, TransferParams params) throws IOException, ServerException, ClientException
Constructor, performing a single third party transfer from (grid)ftp://sourceServer:sourcePort/absoluteSourceFile to (grid)ftp://destServer:destPort/absoluteDestFile. Any protocol related parameters should be passed in the params object. If params is null, default GridFTP parameters are assumed.

Throws:
  `IOException`
  `ServerException`
  `ClientException`

## Method Details

### main

public static void main(String[] args)